tigase.jaxmpp.core.client.xmpp.modules.pubsub

## Class PubSubAsyncCallback

- java.lang.Object
- - tigase.jaxmpp.core.client.xmpp.modules.pubsub.PubSubAsyncCallback

- All Implemented Interfaces:
    AsyncCallback
  Direct Known Subclasses:
    PubSubModule.AffiliationsRetrieveAsyncCallback, PubSubModule.NodeConfigurationAsyncCallback, PubSubModule.PublishAsyncCallback, PubSubModule.RetrieveItemsAsyncCallback, PubSubModule.SubscriptionAsyncCallback, PubSubModule.SubscriptionOptionsAsyncCallback, PubSubModule.SubscriptionsRetrieveAsyncCallback

      public abstract class PubSubAsyncCallback
      extends Object
      implements AsyncCallback

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Logger` | `log`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PubSubAsyncCallback()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract void` | `onEror(IQ response, XMPPException.ErrorCondition errorCondition, PubSubErrorCondition pubSubErrorCondition)`
    `void` | `onError(Stanza responseStanza, XMPPException.ErrorCondition errorCondition)` Called when received response has type error.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface tigase.jaxmpp.core.client.AsyncCallback

      `onSuccess, onTimeout`

- - ### Field Detail

    - #### log

          protected Logger log

  - ### Constructor Detail

    - #### PubSubAsyncCallback

          public PubSubAsyncCallback()

  - ### Method Detail

    - #### onEror

          protected abstract void onEror(IQ response,
                                         XMPPException.ErrorCondition errorCondition,
                                         PubSubErrorCondition pubSubErrorCondition)
                                  throws JaxmppException

      Throws:
        `JaxmppException`

    - #### onError

          public final void onError(Stanza responseStanza,
                                    XMPPException.ErrorCondition errorCondition)
                             throws JaxmppException

      Description copied from interface: `AsyncCallback`
      Called when received response has type error.
      Specified by:
        `onError` in interface `AsyncCallback`
      Parameters:
        `responseStanza` - received IQ stanza
        `errorCondition` - error condition
      Throws:
        `JaxmppException`

Copyright © 2006–2019 Tigase. All rights reserved.